# -*- coding: utf-8 -*-
# Generated by Django 1.11.3 on 2017-08-06 09:36
from __future__ import unicode_literals

from django.db import migrations, models
import django.db.models.deletion
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djstripe', '0008_auto_20150806_1641_squashed_0031_auto_20170606_1708'),
    ]

    operations = [
        migrations.AddField(
            model_name='charge',
            name='fraud_details',
            field=djstripe.fields.StripeJSONField(default={}, help_text='Hash with information on fraud assessments for the charge.'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='charge',
            name='invoice',
            field=models.ForeignKey(help_text='The invoice this charge is for if one exists.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='charges', to='djstripe.Invoice'),
        ),
        migrations.AddField(
            model_name='charge',
            name='outcome',
            field=djstripe.fields.StripeJSONField(default={}, help_text='Details about whether or not the payment was accepted, and why.'),
            preserve_default=False,
        ),
        migrations.AddField(
            model_name='charge',
            name='receipt_email',
            field=djstripe.fields.StripeCharField(help_text='The email address that the receipt for this charge was sent to.', max_length=800, null=True),
        ),
        migrations.AddField(
            model_name='charge',
            name='receipt_number',
            field=djstripe.fields.StripeCharField(help_text='The transaction number that appears on email receipts sent for this charge.', max_length=9, null=True),
        ),
        migrations.AddField(
            model_name='customer',
            name='email',
            field=djstripe.fields.StripeTextField(null=True),
        ),
        migrations.AlterField(
            model_name='customer',
            name='account_balance',
            field=djstripe.fields.StripeIntegerField(default=0, help_text='Current balance, if any, being stored on the customer’s account. If negative, the customer has credit to apply to the next invoice. If positive, the customer has an amount owed that will be added to thenext invoice. The balance does not refer to any unpaid invoices; it solely takes into account amounts that have yet to be successfullyapplied to any invoice. This balance is only taken into account for recurring billing purposes (i.e., subscriptions, invoices, invoice items).'),
            preserve_default=False,
        ),
        migrations.AlterField(
            model_name='customer',
            name='delinquent',
            field=djstripe.fields.StripeBooleanField(help_text="Whether or not the latest charge for the customer's latest invoice has failed."),
        ),
        migrations.AlterField(
            model_name='invoice',
            name='charge',
            field=models.OneToOneField(help_text='The latest charge generated for this invoice, if any.', null=True, on_delete=django.db.models.deletion.CASCADE, related_name='latest_invoice', to='djstripe.Charge'),
        ),
    ]
