# -*- coding: utf-8 -*-
# Generated by Django 1.11.2 on 2017-06-06 14:08
from __future__ import absolute_import, division, print_function, unicode_literals

from django.db import migrations
import djstripe.fields


class Migration(migrations.Migration):

    dependencies = [
        ('djstripe', '0030_auto_20170323_0535'),
    ]

    operations = [
        migrations.AlterField(
            model_name='card',
            name='address_line1_check',
            field=djstripe.fields.StripeCharField(choices=[('pass', 'Pass'), ('fail', 'Fail'), ('unavailable', 'Unavailable'), ('unchecked', 'Unchecked')], help_text='If ``address_line1`` was provided, results of the check.', max_length=11, null=True),
        ),
        migrations.AlterField(
            model_name='card',
            name='address_zip_check',
            field=djstripe.fields.StripeCharField(choices=[('pass', 'Pass'), ('fail', 'Fail'), ('unavailable', 'Unavailable'), ('unchecked', 'Unchecked')], help_text='If ``address_zip`` was provided, results of the check.', max_length=11, null=True),
        ),
        migrations.AlterField(
            model_name='card',
            name='cvc_check',
            field=djstripe.fields.StripeCharField(choices=[('pass', 'Pass'), ('fail', 'Fail'), ('unavailable', 'Unavailable'), ('unchecked', 'Unchecked')], help_text='If a CVC was provided, results of the check.', max_length=11, null=True),
        ),
        migrations.AlterField(
            model_name='charge',
            name='failure_code',
            field=djstripe.fields.StripeCharField(choices=[('invalid_number', 'Invalid number'), ('invalid_expiry_month', 'Invalid expiration month'), ('invalid_expiry_year', 'Invalid expiration year'), ('invalid_cvc', 'Invalid security code'), ('invalid_swipe_data', 'Invalid swipe data'), ('incorrect_number', 'Incorrect number'), ('expired_card', 'Expired card'), ('incorrect_cvc', 'Incorrect security code'), ('incorrect_zip', 'ZIP code failed validation'), ('card_declined', 'Card was declined'), ('missing', 'No card being charged'), ('processing_error', 'Processing error')], help_text='Error code explaining reason for charge failure if available.', max_length=30, null=True),
        ),
        migrations.AlterField(
            model_name='charge',
            name='source_type',
            field=djstripe.fields.StripeCharField(choices=[('card', 'Card'), ('bank_account', 'Bank account'), ('bitcoin_receiver', 'Bitcoin receiver'), ('alipay_account', 'Alipay account')], help_text='The payment source type. If the payment source is supported by dj-stripe, a corresponding model is attached to this Charge via a foreign key matching this field.', max_length=20, null=True),
        ),
        migrations.AlterField(
            model_name='charge',
            name='status',
            field=djstripe.fields.StripeCharField(choices=[('succeeded', 'Succeeded'), ('pending', 'Pending'), ('failed', 'Failed')], help_text='The status of the payment.', max_length=10),
        ),
        migrations.AlterField(
            model_name='coupon',
            name='duration',
            field=djstripe.fields.StripeCharField(choices=[('once', 'Once'), ('repeating', 'Multi-month'), ('forever', 'Forever')], help_text='Describes how long a customer who applies this coupon will get the discount.', max_length=9),
        ),
        migrations.AlterField(
            model_name='subscription',
            name='status',
            field=djstripe.fields.StripeCharField(choices=[('trialing', 'Trialing'), ('active', 'Active'), ('past_due', 'Past due'), ('canceled', 'Canceled'), ('unpaid', 'Unpaid')], help_text='The status of this subscription.', max_length=8),
        ),
        migrations.AlterField(
            model_name='transfer',
            name='failure_code',
            field=djstripe.fields.StripeCharField(choices=[('account_closed', 'Bank account has been closed.'), ('account_frozen', 'Bank account has been frozen.'), ('bank_account_restricted', 'Bank account has restrictions on payouts allowed.'), ('bank_ownership_changed', 'Destination bank account has changed ownership.'), ('could_not_process', 'Bank could not process payout.'), ('debit_not_authorized', 'Debit transactions not approved on the bank account.'), ('insufficient_funds', 'Stripe account has insufficient funds.'), ('invalid_account_number', 'Invalid account number'), ('invalid_currency', 'Bank account does not support currency.'), ('no_account', 'Bank account could not be located.'), ('unsupported_card', 'Card no longer supported.')], help_text='Error code explaining reason for transfer failure if available. See https://stripe.com/docs/api/python#transfer_failures.', max_length=23, null=True),
        ),
        migrations.AlterField(
            model_name='transfer',
            name='source_type',
            field=djstripe.fields.StripeCharField(choices=[('card', 'Card'), ('bank_account', 'Bank account'), ('bitcoin_receiver', 'Bitcoin receiver'), ('alipay_account', 'Alipay account')], help_text='The source balance from which this transfer came.', max_length=16),
        ),
        migrations.AlterField(
            model_name='transfer',
            name='status',
            field=djstripe.fields.StripeCharField(choices=[('paid', 'Paid'), ('pending', 'Pending'), ('in_transit', 'In transit'), ('canceled', 'Canceled'), ('failed', 'Failed')], help_text='The current status of the transfer. A transfer will be pending until it is submitted to the bank, at which point it becomes in_transit. It will then change to paid if the transaction goes through. If it does not go through successfully, its status will change to failed or canceled.', max_length=10),
        ),
    ]
